#pragma once
class ZLogger
{
private:
	long startTime;
	long logTime;
	bool errorCode = 0;
	long logTimes[100] = {};
	int logCount[100] = {};
	void output(const char* text, int level, double time);
	int settingLevel;
public:
	double calcTime;
	ZLogger(int level);
	void finish();
	void warning(const char* text);
	void error(const char* text);
	int infomation(const char* text, bool important);
	int step(int type);
	int infomation(const char* text, bool important, int type);
	void restart(const char* text);
};

